.btn {
    color: $white;
    fill: $white;
    border: none;
    outline: none;
    cursor: pointer;
    font-weight: 400;
    min-height: rem(50);
    font-size: rem(20);
    line-height: rem(24);
    padding: rem(12) rem(30);
    user-select: none;
    text-align: center;
    white-space: nowrap;
    position: relative;
    text-decoration: none;
    align-items: center;
    display: inline-flex;
    vertical-align: middle;
    justify-content: center;
    background: $green;
    border-radius: 25px;
    transition: .3s;

    &:hover {
        fill: $white;
        color: $white;
        background: #73D07C;
        text-decoration: none;
        transition: .3s;
    }

    &:active {
        background: #41AE4B;
    }

    &:focus,
    &.focus {
        outline: 0;
    }

    span {
        display: inline-block;
    }

    i {
        font-size: 0;
        line-height: 0;
        display: inline-block;
        height: rem(24);
    }

    span + i {
        margin-left: rem(6);
    }

    i + span {
        margin-left: rem(6);
    }

    &:disabled {
        cursor: default;
        background: #A5E5AB;
    }
}

.btn-sm {
    font-size: rem(15);
    min-height: rem(40);
    padding: rem(4) rem(20);
    border-radius: 20px;
}

.btn-link {
    margin: 0;
    padding: 0;
    color: $black;
    border: none;
    outline: none;
    cursor: pointer;
    display: inline-flex;
    background: transparent;
    text-decoration: underline;

    &:hover {
        color: $black;
        text-decoration: none;
    }
}
